Create Contact
curl --request POST \
--url https://api.swoogo.com/api/v1/cfs-contacts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'company=company name' \
--data email=user@domain.com \
--data event_id=1 \
--data first_name=firstname \
--data job_title=jobtitle \
--data last_name=lastnameimport requests
url = "https://api.swoogo.com/api/v1/cfs-contacts/create"
payload = {
"company": "company name",
"email": "user@domain.com",
"event_id": "1",
"first_name": "firstname",
"job_title": "jobtitle",
"last_name": "lastname"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
company: 'company name',
email: 'user@domain.com',
event_id: '1',
first_name: 'firstname',
job_title: 'jobtitle',
last_name: 'lastname'
})
};
fetch('https://api.swoogo.com/api/v1/cfs-contacts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": "company name",
"contact_id": 1,
"created_at": "2022-06-26 14:30:00",
"email": "user@domain.com",
"event_id": 1,
"first_name": "firstname",
"id": 1,
"job_title": "jobtitle",
"last_name": "lastname",
"reviewer": true,
"reviewer_role": "all_access",
"submitter": true,
"updated_at": "2022-06-26 14:30:00"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Contacts
Create Contact
Creates a new contact in the Call for Speakers program for an event. Provide the contact’s profile information (name, email, company, bio) to add them as a potential speaker. They can then be associated with submissions.
POST
/
cfs-contacts
/
create
Create Contact
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
application/x-www-form-urlencoded
Response
Create A New Contact
Example:
"company name"
Example:
1
Example:
"2022-06-26 14:30:00"
Example:
"user@domain.com"
Example:
1
Example:
"firstname"
Example:
1
Example:
"jobtitle"
Example:
"lastname"
Example:
true
Example:
"all_access"
Example:
true
Example:
"2022-06-26 14:30:00"
⌘I